{ config, pkgs, stable, unstable, ... }:
with pkgs; {
  nix.registry.stable.flake = stable;
  nix.registry.unstable.flake = unstable;

  _module.args.pkgsStable = import stable {
    inherit (stdenv.hostPlatform) system;
    inherit (config.nixpkgs) config;
  };
  _module.args.pkgsUnstable = import unstable {
    inherit (stdenv.hostPlatform) system;
    inherit (config.nixpkgs) config;
  };
}
